<?php

namespace App\Set;

class Set
{
    public function __construct(
        private int $id,
        private string $name,
        private string $description,
        private string $iconImageUrl,
    ) {
    }

    public function getId(): int
    {
        return $this->id;
    }

    public function getName(): string
    {
        return $this->name;
    }

    public function getDescription(): string
    {
        return $this->description;
    }

    public function getIconImageUrl(): string
    {
        return $this->iconImageUrl;
    }
}
